be.fgov.ehealth.dics.core.v3.core

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.dics.core.v3.core.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.dics.core.v3.core package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v3.core

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QuantityType` | `createQuantityType()` Create an instance of `QuantityType`
    `RangeType` | `createRangeType()` Create an instance of `RangeType`
    `StrengthRangeType` | `createStrengthRangeType()` Create an instance of `StrengthRangeType`
    `StrengthType` | `createStrengthType()` Create an instance of `StrengthType`
    `Text255Type` | `createText255Type()` Create an instance of `Text255Type`
    `VmpComponentKeyType` | `createVmpComponentKeyType()` Create an instance of `VmpComponentKeyType`
    `VmpKeyType` | `createVmpKeyType()` Create an instance of `VmpKeyType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v3.core

  - ### Method Detail

    - #### createVmpKeyType

          public VmpKeyType createVmpKeyType()

      Create an instance of `VmpKeyType`

    - #### createText255Type

          public Text255Type createText255Type()

      Create an instance of `Text255Type`

    - #### createRangeType

          public RangeType createRangeType()

      Create an instance of `RangeType`

    - #### createQuantityType

          public QuantityType createQuantityType()

      Create an instance of `QuantityType`

    - #### createVmpComponentKeyType

          public VmpComponentKeyType createVmpComponentKeyType()

      Create an instance of `VmpComponentKeyType`

    - #### createStrengthRangeType

          public StrengthRangeType createStrengthRangeType()

      Create an instance of `StrengthRangeType`

    - #### createStrengthType

          public StrengthType createStrengthType()

      Create an instance of `StrengthType`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.